/*-
 * %%----------------------------------------------------------------------------------------------
 * Solidify Framework - Solidify Frontend - environment.solidify-image.ts
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2017 - 2023 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

import {ImageDisplayModePartialEnum} from "../../image/enums/image-display-mode-partial.enum";
import {ExtendEnum} from "../types/extend-enum.type";
import {MappingObject} from "../types/mapping-type.type";

export interface DefaultSolidifyImageEnvironment {
  avatarSizeDefault: number;
  avatarSizeMapping: MappingObject<ExtendEnum<ImageDisplayModePartialEnum>, number>;
  imageSizeDefault: number;
  imageSizeMapping: MappingObject<ExtendEnum<ImageDisplayModePartialEnum>, number>;
  uploadImageDefaultAspectRatio: number | undefined;
  uploadImageDefaultResizeToHeight: number | undefined;
  uploadImageDefaultResizeToWidth: number | undefined;
  uploadAvatarDefaultAspectRatio: number | undefined;
  uploadAvatarDefaultResizeToHeight: number | undefined;
  uploadAvatarDefaultResizeToWidth: number | undefined;
}
